##
## SEARCH_INIT.PL
##
## Common initializations of test parameters for the search scripts.
##
## Written by:
##      CheeWhye Chin <cheewhye@icsi.berkeley.edu>
##
##
## "Copyright (c) 1997 The Regents of the University of California.  All
## rights reserved."  Permission to use, copy, modify, and distribute
## this software and its documentation for any purpose, without fee, and
## without written agreement is hereby granted, provided that the above
## copyright notice and the following two paragraphs appear in all copies
## of this software.
## 
## IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
## FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
## ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF
## THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF
## SUCH DAMAGE.
## 
## THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
## INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
## MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE
## PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
## CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
## ENHANCEMENTS, OR MODIFICATIONS.
## 

##
## internal variables (not modifiable via the parameter file)
##

$make = "make";			# command to invoke make, for making
				# IPM and RPRF

$core_generator = "mm_cgen";	# core-code generator to be used
$level_generator = "mm_lgen";	# level-code generator to be used

$dir_GEN = "mm_gen-2.0";	# dir for code-generator
$dir_IPM = "ipm-2.0";		# dir for IPM
$dir_RPRF = "rprf-v0_19";	# dir for RPRF
$dir_SEARCH = "search-2.2";	# dir for SEARCH

$timer_src = "mm_timer.c";	# source code of timer routine
$timer_obj = "mm_timer.o";	# object code of timer routine
$timer_prg = "mm";		# filename of executable timer program

$search_mode = "";		# possibilities are "L0CORE", "L1", "L1GEN", "L2"


## Load PERL library for date/time manipulation
require "ctime.pl";

## Load PERL library for flushiing filehandles
require "flush.pl";

## Load PERL library for tracking current working directory
require "pwd.pl";

## Get absolute (full) path name of a working directory
&initpwd;			# initialize $ENV{"PWD"}
$working_dir = $ENV{'PWD'};
$tmp_dir = "$working_dir/tmp";
$perf_dir = "$working_dir/perf";
$perf_file = ".perf_file";


## seed PERL's random number generator
## with the current time in seconds

srand(time);

1; # module successfully loaded
